
Partial Class Valj_foretag
    Inherits System.Web.UI.Page
    Protected Sub GridView1_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
        Dim row As GridViewRow = GridView1.SelectedRow

        ' When the user clicks "Choose" on a row we get Company ID and Company name from the selected row
        ' in the gridview and saves it to session variables. We also sets som session variables to a 
        ' blank value and redirects the user to a new webpage.

        Session("CompanyID") = row.Cells(0).Text
        Session("CompanyName") = row.Cells(1).Text
        Session("YearID") = String.Empty
        Session("StartDate") = String.Empty
        Session("EndDate") = String.Empty
        Server.Transfer("Choose-accountingyear.aspx")

    End Sub
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Page.IsPostBack = False Then

            ' When this page loads whe get the User Id from the session variable "UserID" to be able to select data
            ' to the gridview and we also sets the pageindex on the gridview to the last page.

            HiddenUserID.Value = Convert.ToString(Session("UserID"))
            GridView1.PageIndex = Int32.MaxValue
        End If
    End Sub
    Protected Sub GridView1_RowCommand(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewCommandEventArgs)

        If e.CommandName = "Delete" Then
            Dim CompID As String = (e.CommandArgument).ToString()

            ' When a user deletes a Company we have to clean up the values in session variables so that there not
            ' will be any attemts to get data for a company that not exists in the database.

            If CompID = Convert.ToString(Session("CompanyID")) Then
                Session("CompanyID") = String.Empty
                Session("CompanyName") = String.Empty
                Session("YearID") = String.Empty
                Session("StartDate") = String.Empty
                Session("EndDate") = String.Empty
            End If
        End If
    End Sub
End Class
